Update Ndr Configuration
Update configuration for NSX NDR (Network Detection and Response) deployment.
The NDR configuration specifies settings such as data sharing preferences for cloud-based threat intelligence. This configuration can be updated before or after deploying the NDR feature.
NOTE: NDR requires a Cloud Connector instance to be deployed. If such an instance has been deployed already by another component, this existing Cloud Connector will be reused. Otherwise, the caller must have previously staged a Cloud Connector configuration for the deployment to succeed.
Update NDR configuration.
{
"_create_user": "string",
"_create_time": 0,
"_last_modified_user": "string",
"_last_modified_time": 0,
"_revision": 0,
"_resource_type": "string",
"_system_owned": false,
"id": "string",
"display_name": "string",
"description": "string",
"site_ids": [
"string"
],
"data_sharing": true
}
Update request has been processed and accepted.
{
"id": "b8f47985-22ed-3193-bca8-11c7b025cbce",
"status_url": "/operation/status"
}
UUID identifier of the response.
The URL to check the status of the operation.
Bad Request - Invalid configuration parameters.
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed - The provided _revision does not match the current persisted value. The client should retrieve the current configuration, merge changes, and retry with the correct revision.
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required - The _revision property is required for updates but was not provided in the request body.
"Error Object"
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Update operation encountered error.
"Error Object"
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/lcm/ndr/config